CVE-2005-4879
CVSS4.3
发布时间 :2009-03-31 13:30:00
修订时间 :2009-08-19 00:36:05
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in jax_guestbook.php in Jax Guestbook 3.1 and 3.31 allow remote attackers to inject arbitrary web script or HTML via the (1) gmt_ofs and (2) language parameters. NOTE: the page parameter is already covered by CVE-2006-1913. NOTE: it was later reported that 3.50 is also affected.


[CNNVD]Jax_Scripts Guestbook 'jax_guestbook.php' 跨站脚本攻击漏洞(CNNVD-200903-526)

        Jax Guestbook是一个网站访客留言簿管理脚本。
        Jax Guestbook 3.1和3.31版本中的jax_guestbook.php存在多个跨站脚本攻击漏洞。远程攻击者可以借助(1)gmt_ofs和(2)语言参数,注入任意的web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

cpe:/a:jax_scripts:jax_guestbook:3.31
cpe:/a:jax_scripts:jax_guestbook:3.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4879
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4879
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200903-526
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/43562
(UNKNOWN)  XF  jaxguestbook-jaxguestbook-xss(43562)
http://www.securityfocus.com/bid/28523
(UNKNOWN)  BID  28523
http://secunia.com/advisories/16337
(VENDOR_ADVISORY)  SECUNIA  16337
http://lostmon.blogspot.com/2005/08/jax-php-scripts-multiple.html
(UNKNOWN)  MISC  http://lostmon.blogspot.com/2005/08/jax-php-scripts-multiple.html
http://downloads.securityfocus.com/vulnerabilities/exploits/28523.html
(UNKNOWN)  MISC  http://downloads.securityfocus.com/vulnerabilities/exploits/28523.html

- 漏洞信息

Jax_Scripts Guestbook 'jax_guestbook.php' 跨站脚本攻击漏洞
中危 跨站脚本
2009-03-31 00:00:00 2009-03-31 00:00:00
远程  
        Jax Guestbook是一个网站访客留言簿管理脚本。
        Jax Guestbook 3.1和3.31版本中的jax_guestbook.php存在多个跨站脚本攻击漏洞。远程攻击者可以借助(1)gmt_ofs和(2)语言参数,注入任意的web脚本或HTML。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.jtr.de/scripting/php/

- 漏洞信息

18568
Jax Guestbook jax_guestbook.php Multiple Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Jax Guestbook contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate multiple variables upon submission to the jax_guestbook.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-08-05 2005-07-27
2005-08-05 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站